package com.njcn.enums;

import java.io.File;

/**
 * @author hongawen
 * @date 2021/2/3 09:01
 *
 * 统一项目中盘符、url路径等分隔符枚举
 */
public enum SeparatorEnum {

    /**
     *文件盘符的分隔符
     */
    PARTITION(File.separator),

    /**
     * url路径的分隔符
     */
    URL("/");

    private final String spearator;

    public String getSpearator() {
        return spearator;
    }

    SeparatorEnum(String spearator) {
        this.spearator = spearator;
    }
}
